SystemOrganization addCategory: #ConfigurationOfEyeSee!

Object subclass: #ConfigurationOfEyeSee
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfEyeSee'!

!ConfigurationOfEyeSee commentStamp: 'TudorGirba 4/5/2011 22:00' prior: 0!
ConfigurationOfEyeSee loadDefault!

!ConfigurationOfEyeSee classSide methodsFor: 'private' stamp: 'TudorGirba 4/27/2011 13:28'!
ensureMetacello
        "Bootstrap Gofer (if necessary), load latest mcz file for ConfigurationOfMetacello (using old 
         Gofer API), then load the latest version of Metacello itself."

        Smalltalk at: #MetacelloProject ifAbsent: [ | error |
                "list of repositories to try, in case primary repository is not accessible"
                (Array 
                        with: 'http://www.squeaksource.com/MetacelloRepository' 
                        with: 'http://seaside.gemstone.com/ss/metacello') do: [:repositoryUrl |
                                ([
                                        Smalltalk at: #Gofer ifAbsent: [
                                        "Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
                                                self bootstrapPackage: 'Gofer-Core-lr.115' from: repositoryUrl ].
                                        Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
                                                gofer := goferClass new
                                                        url: repositoryUrl;
                                                        yourself.
                                                [ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
                                                gofer load ]]
                                                        on: Error
                                                        do: [ :ex |
                                                                error := ex.
                                                                Transcript 
                                                                        cr; 
                                                                        show: 'failed ensureMetacello: ';
                                                                        show: ex description printString;
                                                                        show: '...retrying'.
                                                                "try again"
                                                                ex return: nil ]) ~~ nil
                                        ifTrue: [
                                                "load 'default' group of Metacello"
                                                (Smalltalk at: #ConfigurationOfMetacello) perform: #load.
                                                ^self ]].
                "shouldn't get here unless the load failed ... throw an error"
                self error: 'retry with alternate repository failed: ', error description printString ]! !

!ConfigurationOfEyeSee classSide methodsFor: 'metacello tool support' stamp: 'TudorGirba 4/5/2011 21:57'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfEyeSee classSide methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfEyeSee classSide methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadLastStable
	self project latestVersion load! !

!ConfigurationOfEyeSee classSide methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadLastestVersion
	self default! !

!ConfigurationOfEyeSee classSide methodsFor: 'accessing' stamp: 'TudorGirba 4/5/2011 21:57'!
project

	^self new project! !

!ConfigurationOfEyeSee methodsFor: 'baselines' stamp: 'AlexandreBergel 5/27/2011 12:07'!
baseline10:   spec 
	<version: '1.0-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/EyeSee'.
		spec 
 			package: 'EyeSee-Core' with: [spec requires: #('ShapeST80')];
			package: 'EyeSee-Events';
 			package: 'EyeSee-Axis';
			package: 'EyeSee-Tests-Core';
			package: 'EyeSee-Support'.

		spec group: 'Tests' with: #('EyeSee-Tests-Core').

		spec project: 'ShapeST80' with: [
				spec 
					className: 'ConfigurationOfShapeST80';
					version: #development;
					file:  'ConfigurationOfShapeST80';
					repository: 'http://www.squeaksource.com/ShapeST80'].				
		 ]! !

!ConfigurationOfEyeSee methodsFor: 'baselines' stamp: 'TudorGirba 5/20/2011 13:16'!
default: spec 
	<version: 'default'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/EyeSee'.
		spec 
 			package: 'EyeSee-Core' with: [spec requires: #('ShapeST80')];
			package: 'EyeSee-Events';
 			package: 'EyeSee-Axis';
			package: 'EyeSee-Tests-Core';
			package: 'EyeSee-Support'.

		spec group: 'Tests' with: #('EyeSee-Tests-Core').

		spec project: 'ShapeST80' with: [
				spec 
					className: 'ConfigurationOfShapeST80';
					version: #development;
					file:  'ConfigurationOfShapeST80';
					repository: 'http://www.squeaksource.com/ShapeST80'].				
		 ]! !

!ConfigurationOfEyeSee methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 12/9/2011 17:21'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.9.8'.
! !

!ConfigurationOfEyeSee methodsFor: 'accessing' stamp: 'TudorGirba 4/5/2011 21:57'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfEyeSee methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 5/27/2011 09:45'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.8'.
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 5/27/2011 09:45'!
version08: spec
	<version: '0.8' imports: #('default' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/27/2011 09:42'.
			spec 
 			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.61';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.7';
 			package: 'EyeSee-Axis' with: 'EyeSee-Axis-TudorGirba.8';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AndreHora.33';
			package: 'EyeSee-Support' with: 'EyeSee-Support-AndreHora.6'.
		].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 11/4/2011 15:22'!
version092: spec
	<version: '0.9.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.1 : Improvement of  ESDiagramRenderer>>form
0.9.2 : added new tests (which fail)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/4/2011 15:22'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AndreHora.72';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.10';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.43';
			package: 'EyeSee-Support' with: 'EyeSee-Support-AndreHora.6'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/7/2011 16:27'!
version093: spec
	<version: '0.9.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.2 : added new tests (which fail)
0.9.3 : Removed a dead class'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/7/2011 16:27'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.75';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.48';
			package: 'EyeSee-Support' with: 'EyeSee-Support-TudorGirba.7'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/8/2011 13:03'!
version094: spec
	<version: '0.9.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.3 : Removed a dead class
0.9.4 : added comments in ESSingleAxisDiagram'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/8/2011 13:03'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.76';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.49';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/8/2011 13:12'!
version095: spec
	<version: '0.9.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.4 : added comments in ESSingleAxisDiagram
0.9.5 : Added a more interesting example using the deviation line'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/8/2011 13:12'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.76';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.50';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/9/2011 11:13'!
version096: spec
	<version: '0.9.6' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.5 : Added a more interesting example using the deviation line
0.9.6 : Added comments'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/9/2011 11:13'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.77';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.50';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/9/2011 17:21'!
version097: spec
	<version: '0.9.7' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.6 : Added comments
0.9.7 : improvement of Andre + comment in openPlotWith:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/9/2011 17:21'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.84';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.50';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/9/2011 17:21'!
version098: spec
	<version: '0.9.8' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.7 : improvement of Andre + comment in openPlotWith:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/9/2011 17:21'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.84';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.50';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 5/27/2011 12:04'!
version09: spec
	<version: '0.9' imports: #('default' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.1 : Improvement of  ESDiagramRenderer>>form'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/27/2011 12:04'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.62';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.7';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-TudorGirba.8';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AndreHora.33';
			package: 'EyeSee-Support' with: 'EyeSee-Support-AndreHora.6'. ].
! !
